clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
clang::tidy::modernize::Usage Struct Reference

The information needed to describe a valid convertible usage of an array index or iterator. More...

`#include <LoopConvertUtils.h>`

Collaboration diagram for clang::tidy::modernize::Usage:
[legend]

## Public Types
enum | UsageKind { UK_Default, UK_MemberThroughArrow, UK_CaptureByCopy, UK_CaptureByRef }

## Public Member Functions
| Usage (const Expr *E)
| Usage (const Expr *E, UsageKind Kind, SourceRange Range)

## Public Attributes
const Expr * | Expression
UsageKind | Kind
SourceRange | Range

## Detailed Description

The information needed to describe a valid convertible usage of an array index or iterator.

Definition at line 199 of file LoopConvertUtils.h.

## Member Enumeration Documentation

enum clang::tidy::modernize::Usage::UsageKind

Enumerator
UK_Default |
UK_MemberThroughArrow |
UK_CaptureByCopy |
UK_CaptureByRef |

Definition at line 200 of file LoopConvertUtils.h.

## Constructor & Destructor Documentation

clang::tidy::modernize::Usage::Usage | ( | const Expr * | E | ) |
| inline explicit

Definition at line 229 of file LoopConvertUtils.h.

clang::tidy::modernize::Usage::Usage | ( | const Expr * | E,
|  | UsageKind | Kind,
|  | SourceRange | Range
| ) |  |
| inline

Definition at line 231 of file LoopConvertUtils.h.

## Member Data Documentation

const Expr* clang::tidy::modernize::Usage::Expression

Definition at line 222 of file LoopConvertUtils.h.

UsageKind clang::tidy::modernize::Usage::Kind

Definition at line 224 of file LoopConvertUtils.h.

SourceRange clang::tidy::modernize::Usage::Range

Definition at line 227 of file LoopConvertUtils.h.

Referenced by clang::tidy::modernize::ForLoopIndexUseVisitor::addUsage().

The documentation for this struct was generated from the following file:

- LoopConvertUtils.h